* {
    box-sizing: border-box;
}

html body {
    background-color: rgb(0, 44, 58);
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    font-size: 1.1em;
    color: white;
    border-top: solid white;
    scroll-behavior: smooth;
}

#navbar {
    position: fixed;
    width: 250px;
    min-width: 250px;
    height: 100%;
    border-right: solid;
    border-color: white;
    padding: 2rem;
}

#nav ul {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: flex-start;
}

header {
    font-size: 2.5em;
    font-weight: 700;
}

.nav-header {
    font-size: 1.5em;
}

#navbar ul {
    list-style: none;
}

#navbar ul li {
    padding: 25px 5px;
}

#navbar ul li:hover {
    background-color: yellowgreen;
    border-radius: 2px;
    transition: 0.5s;  
}

#navbar ul li a {
    text-decoration: none;
    color: white;
    cursor: pointer;
}

#navbar ul li a:hover {
    font-size: 1.5em;
    transition: 0.5s;
}

#main-doc {
    position: absolute;
    padding: 1rem;
    margin-left: 320px;
    margin-bottom: 3rem;
}

.main-section {
    padding: 1em;
}

p {
    font-size: 1.2em;
}

footer {
    position: fixed;
    bottom: 0;
    width: 100vw;
    text-align: center;
    padding: 0.2em;
    border-top: 2px solid white;
    margin-top: 1em;
    background-color: #ccc;
    color: #696969;
}

code {
    background-color: #ccc;
    padding: 0.1em;
}

@media (max-width: 768px) {
    #navbar {
        position: fixed;
        top: 0;
        height: 200px;
        width: 100%;
        background-color: rgb(55, 56, 56);
        display: block;
        padding: 0;
        margin: 0;
        text-align: center;
        border: 0;
        border-bottom: 3px solid white;
        z-index: 1;
        overflow: hidden;
    }

    #navbar header {
        padding: 2px;
        margin: 0;   
    }

    #navbar ul {
        display: block;
        align-items: center;
        height: 115px;
        padding: 2px;
        overflow-y: auto;
    }

    #navbar ul li a {
        cursor: pointer;
    }

    #navbar ul li {
        padding: 10px 5px;
    }
    
    .main-body {
        margin-top: 175px;
    }

    #main-doc {
        position: absolute;
        height: 100%;
        padding: 2em;
        margin: 0;
        margin-bottom: 2em;
    }
}
